# p7utils - Shell utilities for libp7
## Introduction
**p7utils** is a set of command-line utilities that allow you to interact with
your calculator. `p7` will interact with the storage memories, `p7screen` will
display the result of the screen streaming and `p7os` will play with the
calculator's OS (backup, flash).

## Prerequisites
### Making-only dependencies
| Name                                               | Version  |
| -------------------------------------------------- | -------- |
| [gcc](https://gcc.gnu.org/)                        | >= 4.9   |
| [binutils](https://www.gnu.org/software/binutils/) | >= 2.25  |
| [asciidoc](http://asciidoc.org/)                   | >= 8.6.9 |
| [gzip](https://www.gnu.org/software/gzip/)         | >= 1.6   |

### Making and runtime dependencies
| Name                                               | Version   |
| -------------------------------------------------- | --------- |
| [libp7](https://forge.touhey.fr/casio/lib/libp7/)  | >= 1.5    |
| [libsdl](https://libsdl.org/)                      | == 1.2.15 |

## Building
Just `./configure` then `make`. To install, use `make install`.  
Make the manpages with `make all-doc` and install them with `make install-doc`.

Other useful targets :
- `clean`, `fclean`, `clean-doc`: remove built files ;
- `re`, `re-doc`: regenerate binary and/or manpages.
